#pragma once

#include "window.h"
#include "unassignable.h"
#include "clickable.h"
#include "coordinateconverter.h"
#include <string>

namespace rov2
{

/*! Defines a class for the icon bar (special form of window) */
class CIconBar : public CWindow
{
public:
  /*! Gets the icon bar window
  \return the icon bar window */
  static CIconBar* GetIconBar();

  /*! Gets the window handle for application icons
  \return The application icon window handle
  */
  inline tWindowHandle IconBar_Apps() { return -1; }

  /*! Gets the window handle for device icons
  \return The device icon window handle
  */
  inline tWindowHandle IconBar_Devices() { return -2; }

private:
  /*! Class can only be created privately */
  CIconBar();

  /*! Icon bar window cannot be destroyed!*/
  ~CIconBar() = delete;

  /*! The icon bar has no title */
  virtual void SetTitle(const std::string& rksNewTitle);

  static CIconBar* sm_pibIconBar;
}; // ib

}